JIT Transaction Notification Management Service API

The JIT (Just-In-Time) Transaction Notification Management Service API is used to receive real-time notification of transactions on the Credit+ Issuing platform. Whenever any JIT transaction that affectsthe credit limit is posted on the funding source, a real-time notification is sent to banks. This notification contains all the transaction details. JIT notifications also include updates to account balances, GL updates, cash management, and reporting for banks in real time. It is applicable for prepaid products issued on Pine Labs platform.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Description: This is the description of the error code returned by Credit+ Issuing application.
  • Details: This is the detailed description of the error code returned by Credit+ Issuing application
HTTP CodeReason CodeDescriptionDetails
200OKThe server has successfully processed your request.
400MISSING_REQUIRED_FIELDMissing Required Field 'Missing Required Field 'productType'.
400INVALID_FIELD_VALUE''productType' field value 'pre-paid' is invalid.
400INVALID_FIELD_FORMAT''client.profile.birthDate' field value '1-Jan' format is invalid.
400INVALID_FIELD_LENGTH''client.mobile.isdCode' size must be between '1' and '3'.
400CRYPTOGRAPHY_ERRORError occurred while decryption of the encrypted request payload.
403PERMISSION_DENIEDIt seems you don't have permission to access this API.
500INTERNAL_ERRORThe server encountered an internal error and was unable to complete your request. Please try again after sometime or contact customer care.
503NOT_READYThe API server is not ready to accept requests.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
length between 36 and 36

Unique identifier of a transaction. It is a 36-character long GUID.

card
object
required
registeredContacts
object
transaction
object
required
merchant
object
required
number
required
0 to 9

The current count of reattempt to call the Notification API to share the transaction details. Valid values: 0-9. 0 indicates the first attempt (Original Message). 1 to 9 indicates the reattempt count (Repeat Message). For a repeat message all the other fields remain the same as the original message. This also includes the event id.

Headers
string
^[a-zA-Z0-9-]{1,36}$

API consumer can share unique X-MC-Correlation-ID in HTTP header for each API request. It is recommended to generate UUID (maximum length: 36 alphanumeric characters) that is compliant with RFC 4122. If it is not shared, then the system generates a unique value for each request. For example, ac97d177-9345-4934-8343-0f91a7a02836

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json